Bug 1015002 - syntax error in hiera conf
syntax error in hiera conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hiera (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 05:43 EDT by Dietmar Kling
Modified: 2014-02-22 13:10 EST (History)
2 users (show)

See Also:
Fixed In Version: hiera-1.3.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-22 13:10:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix syntax error in hiera (264 bytes, patch)
2013-10-03 05:43 EDT, Dietmar Kling
no flags Details | Diff

  None (edit)
Description Dietmar Kling 2013-10-03 05:43:31 EDT
Created attachment 806994 [details]
Fix syntax error in hiera

Description of problem:

The hiera parse cannot parse the file /etc/hiera.yaml 

Failed to start Hiera: Psych::SyntaxError: (/etc/hiera.yaml): found character that cannot start any token while scanning for the next token at line 6 column 5


Version-Release number of selected component (if applicable):
hiera-1.2.1-1.fc20.noarch

How reproducible:
hiera dataitem environment=tst


Steps to Reproduce:
1. Install hiera
2. Run "hiera dataitem environment=tst"
3.

Actual results:
Failed to start Hiera: Psych::SyntaxError: (/etc/hiera.yaml): found character that cannot start any token while scanning for the next token at line 6 column 5


Expected results:
No Syntax error in /etc/hiera.yaml:

bash# hiera dataitem environment=tst
nil



Additional info:
FIX ATTACHED
Comment 1 Fedora Update System 2014-02-13 11:46:30 EST
hiera-1.3.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hiera-1.3.1-2.fc20
Comment 2 Fedora Update System 2014-02-14 02:52:47 EST
Package hiera-1.3.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hiera-1.3.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2440/hiera-1.3.1-2.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-02-22 13:10:58 EST
hiera-1.3.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.